Subject: Re: linux-next: build failure after merge of the tip tree

From: Przemek Kitszel <[email-masked]>
Date: Thu, 7 Nov 2024 17:35:06 +0100

On 11/6/24 10:45, Jonathan Cameron wrote:
> On Mon, 4 Nov 2024 15:01:06 +0100
> Peter Zijlstra <[email-masked]> wrote:
> 
>> It might help if we put the relevant maintainers on Cc?
>>
>> On Mon, Nov 04, 2024 at 02:37:57PM +0100, Przemek Kitszel wrote:
>>> On 11/1/24 04:19, Stephen Rothwell wrote:
>>>> Hi all,
>>>>
>>>> On Mon, 28 Oct 2024 16:53:36 +1100 Stephen Rothwell <[email-masked]> wrote:
>>>>>
>>>>> After merging the tip tree, today's linux-next build (x86_64 allmodconfig)
>>>>> failed like this:
>>>>>
>>>>> drivers/iio/magnetometer/af8133j.c: In function 'af8133j_set_scale':
>>>>> drivers/iio/magnetometer/af8133j.c:315:12: error: suggest explicit braces to avoid ambiguous 'else' [-Werror=dangling-else]
>>>>>     315 |         if (!pm_runtime_status_suspended(dev))
>>>>>         |            ^
>>>>> cc1: all warnings being treated as errors
>>>>>
>>>>> Probably caused by commit
>>>>>
>>>>>     fcc22ac5baf0 ("cleanup: Adjust scoped_guard() macros to avoid potential warning")
>>>>>
>>>>> I have applied the following for today but I wonder if there may be
>>>>> others.
>>>>>
>>>>> From: Stephen Rothwell <[email-masked]>
>>>>> Date: Mon, 28 Oct 2024 16:01:15 +1100
>>>>> Subject: [PATCH] fix up for "cleanup: Adjust scoped_guard() macros to avoid
>>>>>    potential warning"
>>>>>
>>>>> Signed-off-by: Stephen Rothwell <[email-masked]>
>>>>> ---
>>>>>    drivers/iio/magnetometer/af8133j.c | 3 ++-
>>>>>    1 file changed, 2 insertions(+), 1 deletion(-)
>>>>>
>>>>> diff --git a/drivers/iio/magnetometer/af8133j.c b/drivers/iio/magnetometer/af8133j.c
>>>>> index d81d89af6283..acd291f3e792 100644
>>>>> --- a/drivers/iio/magnetometer/af8133j.c
>>>>> +++ b/drivers/iio/magnetometer/af8133j.c
>>>>> @@ -312,10 +312,11 @@ static int af8133j_set_scale(struct af8133j_data *data,
>>>>>    	 * When suspended, just store the new range to data->range to be
>>>>>    	 * applied later during power up.
>>>>>    	 */
>>>>> -	if (!pm_runtime_status_suspended(dev))
>>>>> +	if (!pm_runtime_status_suspended(dev)) {
>>>>>    		scoped_guard(mutex, &data->mutex)
>>>>>    			ret = regmap_write(data->regmap,
>>>>>    					   AF8133J_REG_RANGE, range);
>>>>> +	}
> 
> Might as well flip it to a guard() given the scope is the same and it will
> be a little more readable.
> 
> Otherwise I'm fine taking a patch doing this if someone can send on to
> [email-masked]

there were no replies here, and whole story has started by my patch, so
I will post this patch of Stephen tomorrow

> 
> 
> I'll get to making a patch at somepoint but just back from travel
> so a lot of other things on my queue today.
> 
> 
> 
>>>>>    	pm_runtime_enable(dev);
>>>>
>>>> I am still applying this patch.
>>>>    
>>>
>>> This patch of yours is necessary, could you make it permanent?
>>>
>>> Reviewed-by: Przemek Kitszel <[email-masked]>
>